# $Revision: 1.24 $, $Date: 2010/09/21 19:00:07 $
%define		module	kiwi
Summary:	Framework for Python GUI applications
Summary(pl.UTF-8):	Szkielet do budowania GUI w Pythonie
Name:		python-%{module}
Version:	1.9.26
Release:	5
License:	LGPL
Group:		Libraries/Python
Source0:	http://download.gnome.org/sources/kiwi/1.9/%{module}-%{version}.tar.bz2
# Source0-md5:	43c2aab9acf8d95321ee1ccec2c5e4e4
Patch0:		%{name}_es_locale_fix.patch
URL:		http://www.async.com.br/projects/kiwi/
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	python-pygtk-devel >= 2:2.8
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
%pyrequires_eq	python-libs
Requires:	python-pygtk-gtk >= 2:2.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kiwi consists of a set of classes and wrappers for PyGTK that were
developed to provide a sort of framework for applications. Fully
object-oriented, and roughly Smalltalk's MVC, Kiwi provides a simple,
practical way to build forms, windows and widgets that transparently
access and display your object data.

%description -l pl.UTF-8
Kiwi składa się ze zbioru klas i wrapperów dla PyGTK które zostały
napisane by dostarczać pewnego rodzaju szkielet dla aplikacji. Kiwi,
będąc w pełni zorientowanym obiektowo i z grubsza zainspirowanym MVC w
Smalltalku, dostarcza prosty i praktyczny sposób do budowania
formatek, okienek i kontrolek które w przezroczysty sposób pobierają i
wyświetlają dane.

%package gazpacho
Summary:	Gazpacho integration for kiwi
Summary(pl.UTF-8):	Integracja Gazpacho dla kiwi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gazpacho >= 0.6.6

%description gazpacho
This package contains additional files necessary for integration with
Gazpacho glade editor.

%description gazpacho -l pl.UTF-8
Ten pakiet zawiera dodatkowe pliki koniecznie dla integracji z
edytorem plików glade Gazpacho.

%package doc
Summary:	Documentation related to python-kiwi
Summary(pl.UTF-8):	Dokumentacja związana z python-kiwi
Group:		Documentation
Requires:	%{name} = %{version}-%{release}
Obsoletes:	python-kiwi-docs

%description doc
This package contains documentation that contains APIs and related
materials, useful for reference when writing software using Kiwi.

%description doc -l pl.UTF-8
Ten pakiet zawiera dokumentację opisującą API i związane z nim
materiały, użyteczne podczas pisania oprogramowania używającego Kiwi.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
%{__sed} -i -e 's|share/doc/kiwi|share/doc/%{name}-%{version}|' setup.py
# es locale quick fix
mv -f locale/es_ES locale/es
mv -f po/es_ES.po po/es.po

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

rm -rf $RPM_BUILD_ROOT%{_docdir}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# move gazpacho stuff to proper place
mv $RPM_BUILD_ROOT%{py_scriptdir}/dist-packages/gazpacho $RPM_BUILD_ROOT%{py_sitescriptdir}

%py_postclean

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/kiwi*
%{_datadir}/kiwi
%dir %{py_sitescriptdir}/kiwi
%{py_sitescriptdir}/kiwi/*.py[co]
%dir %{py_sitescriptdir}/kiwi/db
%{py_sitescriptdir}/kiwi/db/*.py[co]
%dir %{py_sitescriptdir}/kiwi/i18n
%{py_sitescriptdir}/kiwi/i18n/*.py[co]
%dir %{py_sitescriptdir}/kiwi/ui
%{py_sitescriptdir}/kiwi/ui/*.py[co]
%dir %{py_sitescriptdir}/kiwi/ui/test
%{py_sitescriptdir}/kiwi/ui/test/*.py[co]
%dir %{py_sitescriptdir}/kiwi/ui/widgets
%{py_sitescriptdir}/kiwi/ui/widgets/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/kiwi-*.egg-info
%endif

%files gazpacho
%defattr(644,root,root,755)
%dir %{py_sitescriptdir}/gazpacho
%{py_sitescriptdir}/gazpacho/widgets
%{_datadir}/gazpacho/catalogs
%{_datadir}/gazpacho/resources

%files doc
%defattr(644,root,root,755)
%doc doc/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-kiwi.spec,v $
Revision 1.24  2010/09/21 19:00:07  glen
- release 5

Revision 1.23  2010/07/09 11:22:08  arekm
- release 4

Revision 1.22  2010/07/08 08:18:24  arekm
- release 3

Revision 1.21  2010/06/06 12:01:05  glen
- one more missing dir

Revision 1.20  2010/06/06 11:58:55  glen
- missing dir, unify doc package name; rel 2

Revision 1.19  2010/05/31 12:03:07  lisu
- python version specific egg-info
- more verbose files

Revision 1.18  2010/05/31 11:50:36  lisu
- proper build section

Revision 1.17  2010/05/31 11:49:38  lisu
- unify %find_lang macro
- BR: rpmbuild(macros) >= 1.268

Revision 1.16  2010/05/31 11:42:46  lisu
- unified python install

Revision 1.15  2010/05/31 11:08:24  lisu
- fix gazpacho install

Revision 1.14  2010/05/31 10:57:28  lisu
- up to 1.9.26
- BR: sed and use sed macro
- adapterized

Revision 1.13  2009/03/14 16:48:12  duddits
- up to 1.9.24
- cleaning, TODO updated

Revision 1.12  2009/03/13 22:53:14  hawk
- release 3

Revision 1.11  2008/09/22 19:58:51  duddits
- rel. 2
- small patch to fix es locale issue added
- some tune-ups inside dir tree

Revision 1.10  2008/09/22 17:22:10  duddits
- up to 1.9.22

Revision 1.9  2008/06/01 07:08:28  adamg
- updated to 1.9.21

Revision 1.8  2008-05-18 16:19:26  adamg
- previous commit reverted (mistake)

Revision 1.6  2007-11-17 09:44:04  qboosh
- more python deps
- unified "package" translation

Revision 1.5  2007-11-17 03:15:48  wolvverine
- up to 1.9.19

Revision 1.4  2007-04-16 16:55:50  qboosh
- removed COPYING from doc (just GPL)

Revision 1.3  2007/04/16 16:52:32  qboosh
- pl fixes, cleanup

Revision 1.2  2007/04/05 14:27:36  czarny
- correct pygtk R

Revision 1.1  2007/04/05 14:25:25  czarny
- new, stolen from FC
